Subject: Cowells USA

From: [email-masked] (Mark W. Marks)
Date: 13 Jul 1995 02:51:41 -0400

I just noticed an adverrisement in the new Home Shop Machinist for 
Cowells here in the US.  It is:

Cowells USA
Box 843
Richmond, KY 40476-0843

Phone: 606.624.9269
Fax: 606.625.1191

This is good news, for me at least, because I recently purchased a used
 lathe and have been waiting over seven weeks for a response to a 
letter written to Cowells in England.

These are great little machines by the way.  Anyone checking out micro 
lathes & mills should definitely take a look.  I purchased mine at a 
British Airways auction (they were closing a maintenance facility) but 
haven't seen many others around in the US.  

Mark Marks
Palm Harbor, Florida